#ifndef __DYNCOM
#define __DYNCOM

typedef struct {
  long magic;
  long symbol_offset;
  long element_size;
  long nrelocs;
} dcm_header;

typedef struct DCM_STRUCT  DCM;

struct DCM_STRUCT
       {
         void  (*dcm_init)(DCM *dcm);                  // various functions
         void  *(*dcm_var)(DCM *dcm, int var);
         void  *(*dcm_proc)(DCM *dcm, int proc);
         void  *(*ext_var)(int var);
         void  *(*ext_proc)(int proc);
         dcm_header     hdr;                           // file header
         unsigned char  *data;                         // data block
       };

#endif
